import { CellsysType } from './cellsysUtil.js';
import CellsysElementType from './cellsysElementType';

class CellsysTaskType extends CellsysElementType {
    constructor(params) {
        super();
        this.cellsysType = CellsysType.TaskType;
        if (!params) {
            params = {};
        }

        this.id = params.id;
        this.name = params.name;
        this.description = params.description;
        this.orgId = params.org_id;
        this.type_count = params.type_count;
    }

    setId(value) {
        this.id = value;
    }

    setName(value) {
        this.name = value;
    }

    setDescription(value) {
        this.description = value;
    }
}

export default CellsysTaskType;
