import { Query, QueryTask, QueryType, EditTask, EditType, Operator, CellsysType } from '@airkoon/cellsys/cellsysUtil.js';

class CellsysUnion {
    constructor(params) {
        if (!params) {
            params = {};
        }
        this.orgId = params.org_id;
        this.id = params.id;
        this.parentOrgId = params.parent_org_id;
        this.parentOrgName = params.parent_org_name;
        this.childrenOrgId = params.children_org_id;
        this.childrenOrgName = params.children_org_name;
        this.status = params.status;
        this.riseTime = params.rise_time;
        this.riseDescription = params.rise_description;
        this.checkTime = params.check_time;
        this.checkDescription = params.check_description;
        this.createTime = params.create_time;
        this.createdId = params.create_by;
        this.updateTime = params.update_time;
        this.updatedId = params.update_by;
    }
}

export default CellsysUnion;
