﻿import {CellsysType} from './cellsysUtil.js'

class CellsysFenceEvent {
    constructor(params) {
        this.cellsysType = CellsysType.FenceEvent
        if (!params) {
            params = {}
        }

        this.id = params.id
        this.orgId = params.org_id
        this.userId = params.user_id
        this.action = params.action
        this.userGeom = params.user_geom
        this.fenceType = params.fence_type
        this.fenceHisId = params.fence_his_id
        this.fenceName = params.fence_name
        this.fenceGeom = params.fence_geom
        this.bufferDistance = params.buffer_distance
        this.fenceId = params.fence_id
        this.realName = params.realname
        this.dateTime = params.datetime
    }

    setId(value) {
        this.id = value
    }

    setName(value) {
        this.name = value
    }

    setDescription(value) {
        this.description = value
    }
}


export default CellsysFenceEvent