/**
 * @Author YuanWei
 * @Date 2020/11/17 14:53:56
 * @FileName cellsysMap.js
 * @Description: cellsys地图模块常量定义
 */

/**
 * geometry定义，即图层要素类型定义
 * @type {{Line: number, Point: number, Polygon: number}}
 */
export const CellsysGeometry = {
    /**
     * 点、标记
     */
    Point: 0,
    /**
     * 线、路线
     */
    Line: 1,
    /**
     * 面、区域
     */
    Polygon: 2
}
